Bug 2122 - Install with multiple CD players broken
Install with multiple CD players broken
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 1999-04-11 09:13 EDT by Chris Ricker
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-09-24 23:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 1999-04-11 09:13:41 EDT
<I'm re-entering this here, since stuff posted on the
mailing list doesn't seem to wind up here>

If you have two CD players in the same machine, the
installer looks in the first one found by the kernel
for media, and then quits.  It should instead look
in all of the kernel-reported CD players sequentially
(and if it does this, have the user confirm that that's
the desired device) or else just ask the user immediately
which CD player to use if multiple devices are reported.

Comment 1 Preston Brown 1999-04-12 16:06:59 EDT
for later, obviously. :)
Comment 2 Matt Wilson 1999-04-13 14:20:59 EDT
Will be fixed later.
Comment 3 Jay Turner 1999-07-07 12:45:59 EDT
*** Bug 3492 has been marked as a duplicate of this bug. ***

The installer appears to be only capable of installing from
/dev/hdc.  My /dev/hdc is a first generation dvdrom; it
doesn't read cds.  My /dev/hdd is a cdrom, and reads much
faster to boot.  Historically, on my system, to install
redhat linux I've had to unplug my dvdrom to install, which
is really a pain.  Users should get a choice of what device
to use, or at least be able to specify some option to the

------- Additional Comments From jturner@redhat.com  06/16/99 14:40 -------
This issue has been forwarded to the install developer for further
Comment 4 Bill Nottingham 1999-09-24 23:48:59 EDT
This is fixed in the latest installer in Raw Hide. It tries
all CD-ROMs.

Note You need to log in before you can comment on or make changes to this bug.